Alembic: Alembic::Abc::ALEMBIC_VERSION_NS::ITypedArrayProperty< TRAITS > Class Template Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::ITypedArrayProperty< TRAITS > Class Template Reference
Inheritance diagram for Alembic::Abc::ALEMBIC_VERSION_NS::ITypedArrayProperty< TRAITS >:
[legend]
Collaboration diagram for Alembic::Abc::ALEMBIC_VERSION_NS::ITypedArrayProperty< TRAITS >:
[legend]

## Public Types
typedef TRAITS | traits_type
typedef ITypedArrayProperty< TRAITS > | this_type
typedef TRAITS::value_type | value_type
typedef TypedArraySample< TRAITS > | sample_type
typedef shared_ptr< sample_type > | sample_ptr_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IArrayProperty
typedef IArrayProperty | this_type

## Public Member Functions
| ITypedArrayProperty ()
| ITypedArrayProperty (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ITypedArrayProperty (AbcA::ArrayPropertyReaderPtr iProperty, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ITypedArrayProperty (AbcA::ArrayPropertyReaderPtr iProp, WrapExistingFlag iWrapFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
void | get (sample_ptr_type &iVal, const ISampleSelector &iSS=ISampleSelector()) const
sample_ptr_type | getValue (const ISampleSelector &iSS=ISampleSelector()) const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IArrayProperty
| IArrayProperty ()
| IArrayProperty (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| IArrayProperty (AbcA::ArrayPropertyReaderPtr iPtr, const Argument &iArg0=Argument())
| IArrayProperty (AbcA::ArrayPropertyReaderPtr iPtr, WrapExistingFlag iWrapFlag, const Argument &iArg0=Argument())
| ~IArrayProperty ()
size_t | getNumSamples () const
bool | isConstant () const
bool | isScalarLike () const
| Ask if we are like a scalar - we have 1 and only 1 DataType per sample.
AbcA::TimeSamplingPtr | getTimeSampling () const
| Time information.
void | get (AbcA::ArraySamplePtr &oSample, const ISampleSelector &iSS=ISampleSelector()) const
void | getAs (void *oSample, AbcA::PlainOldDataType iPod, const ISampleSelector &iSS=ISampleSelector())
| Get a sample into the address of a datum as a particular POD type.
void | getAs (void *oSample, const ISampleSelector &iSS=ISampleSelector())
bool | getKey (AbcA::ArraySampleKey &oKey, const ISampleSelector &iSS=ISampleSelector()) const
void | getDimensions (Util::Dimensions &oDim, const ISampleSelector &iSS=ISampleSelector()) const
| Get the dimensions of the datum.
ICompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ArrayPropertyReaderPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
IObject | getObject () const
AbcA::ArrayPropertyReaderPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Static Public Member Functions
static const char * | getInterpretation ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
static bool | matches (const AbcA::PropertyHeader &iHeader, SchemaInterpMatching iMatching=kStrictMatching)

## Additional Inherited Members
Protected Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ArrayPropertyReaderPtr >
typedef IBasePropertyT< AbcA::ArrayPropertyReaderPtr > | this_type
typedef IBasePropertyT< AbcA::ArrayPropertyReaderPtr > | operator_bool_base_type
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ArrayPropertyReaderPtr >
| IBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::ArrayPropertyReaderPtr >
AbcA::ArrayPropertyReaderPtr | m_property

## Constructor & Destructor Documentation

## ◆ ITypedArrayProperty() [1/3]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::ITypedArrayProperty< TRAITS >::ITypedArrayProperty | ( |  | ) |
| inline

Default constructor ...

## ◆ ITypedArrayProperty() [2/3]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::ITypedArrayProperty< TRAITS >::ITypedArrayProperty | ( | const ICompoundProperty & | iParent,
|  | const std::string & | iName,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )
| inline

This constructor creates a new typed array property reader. The first argument is the ICompoundProperty parent, from which the error handler policy for inheritance is also derived. The remaining optional arguments can be used to override the ErrorHandlerPolicy, to specify schema matching policy, and that's it.

## ◆ ITypedArrayProperty() [3/3]

template<class TRAITS>

Alembic::Abc::ALEMBIC_VERSION_NS::ITypedArrayProperty< TRAITS >::ITypedArrayProperty | ( | AbcA::ArrayPropertyReaderPtr | iProperty,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )
| inline

Explicitly wrap an existing property It will check the data type and also verify the schema, if requested.

## Member Function Documentation

## ◆ get()

template<class TRAITS>

void Alembic::Abc::ALEMBIC_VERSION_NS::ITypedArrayProperty< TRAITS >::get | ( | sample_ptr_type & | iVal,
|  | const ISampleSelector & | iSS = ISampleSelector() ) const
| inline

Get the typed sample. ...

## ◆ getInterpretation()

template<class TRAITS>

const char * Alembic::Abc::ALEMBIC_VERSION_NS::ITypedArrayProperty< TRAITS >::getInterpretation | ( |  | ) |
| inlinestatic

Return the interpretation expected of this property. An empty interpretation matches everything

## ◆ getValue()

template<class TRAITS>

sample_ptr_type Alembic::Abc::ALEMBIC_VERSION_NS::ITypedArrayProperty< TRAITS >::getValue | ( | const ISampleSelector & | iSS = ISampleSelector() | ) | const
| inline

Return the typed sample by value. ...

## ◆ matches() [1/2]

template<class TRAITS>

bool Alembic::Abc::ALEMBIC_VERSION_NS::ITypedArrayProperty< TRAITS >::matches | ( | const AbcA::MetaData & | iMetaData,
|  | SchemaInterpMatching | iMatching = kStrictMatching )
| inlinestatic

This will check whether or not a given entity (as represented by a metadata) strictly matches the interpretation of this schema object

## ◆ matches() [2/2]

template<class TRAITS>

bool Alembic::Abc::ALEMBIC_VERSION_NS::ITypedArrayProperty< TRAITS >::matches | ( | const AbcA::PropertyHeader & | iHeader,
|  | SchemaInterpMatching | iMatching = kStrictMatching )
| inlinestatic

This will check whether or not a given object (as represented by an object header) strictly matches the interpretation of this schema object

The documentation for this class was generated from the following file:

- Abc/ITypedArrayProperty.h